# FLAC: FLAC::Metadata::Chain Class Reference

FLAC::Metadata::Chain Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes » FLAC++/metadata.h: metadata level 0 interface » FLAC++/metadata.h: metadata level 1 interface » FLAC++/metadata.h: metadata level 2 interface

`#include <metadata.h>`

## Classes

class | Status

## Public Member Functions

bool | is_valid () const
Status | status ()
bool | read (const char *filename, bool is_ogg=false)
bool | read (FLAC__IOHandle handle, FLAC__IOCallbacks callbacks, bool is_ogg=false)
bool | check_if_tempfile_needed (bool use_padding)
bool | write (bool use_padding=true, bool preserve_file_stats=false)
bool | write (bool use_padding, ::FLAC__IOHandle handle, ::FLAC__IOCallbacks callbacks)
bool | write (bool use_padding, ::FLAC__IOHandle handle, ::FLAC__IOCallbacks callbacks, ::FLAC__IOHandle temp_handle, ::FLAC__IOCallbacks temp_callbacks)
void | merge_padding ()
void | sort_padding ()

## Protected Member Functions

virtual void | clear ()

## Protected Attributes

::FLAC__Metadata_Chain * | chain_

## Friends

class | Iterator

## Detailed Description

This class is a wrapper around the FLAC__metadata_chain structures and methods; see the usage guide and FLAC__Metadata_Chain.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2023 Xiph.Org Foundation